<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
	0 =>  'name_cus',
	1 =>  'paid',
	2 =>  'date',
    3 =>  'time',
	4 => 'name_emp',
	5 => 'id_scanner'
);

$sql = "
SELECT * FROM `stock_mony` left join `cus` on `cus`.`id_cus` = `stock_mony`.`id_cus`  left join `emp` on `emp`.`id_emp` = `stock_mony`.`id_user` where 1
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `stock_mony` left join `cus` on `cus`.`id_cus` = `stock_mony`.`id_cus`  left join `emp` on `emp`.`id_emp` = `stock_mony`.`id_user` where 1
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_cus LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR paid LIKE '".$requestData['search']['value']."%' ";          
	$sql.=" OR date LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR time LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR id_scanner LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR name_emp LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["name_cus"];
	$nestedData[] = $row["id_scanner"];
	$nestedData[] = $row["paid"];
	$nestedData[] = $row["name_emp"];
	$nestedData[] = $row["date"];
	$nestedData[] = $row["time"];
	$nestedData[] = "<button class='btn btn-danger' onclick='del_table(".$row['id_stock_mony'].",0)'>حذف</button>";
	$data[] = $nestedData;
}
$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



